import argparse

from .. import util

##################################################

SUMMARY = """list nodes"""

def gen_argparser(parser=None, **kwargs):
    if not parser:
        parser = argparse.ArgumentParser(**kwargs)
    parser.formatter_class = argparse.RawDescriptionHelpFormatter
    parser.description = SUMMARY
    parser.add_argument('nodes', metavar='NODE', nargs='*',
                        help="node name (wildcard/globbing supported)")
    return parser

def validate_args(args):
    try:
        nodes = args.nodes
    except AttributeError:
        nodes = None
    args.nodes = util.nodes_expand(nodes)
    return args

def execute_args(args):
    return args.nodes
